org.appng.xml.platform

## Class Link

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Linkable
    - - org.appng.xml.platform.Link

- All Implemented Interfaces:
    Serializable

      public class Link
      extends Linkable
      implements Serializable

  Java class for link complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="link">
         <complexContent>
           <extension base="{http://www.appng.org/schema/platform}linkable">
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="target" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="mode" use="required" type="{http://www.appng.org/schema/platform}linkmode" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Linkmode` | `mode`
    `protected String` | `target`

    - ### Fields inherited from class org.appng.xml.platform.Linkable

      `_default, active, condition, confirmation, disabled, icon, label, permissions, showDisabled, textelements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The unqiue id of this `Link` within the owning `Linkpanel`
    `Linkmode` | `getMode()` The `Linkmode` used when displaying this link.
    `String` | `getTarget()` The URI of the link, may be relative to the application (`Linkmode.INTERN` or `Linkmode.INTERN`) or absolute (`Linkmode.EXTERN`)
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMode(Linkmode value)` Sets the value of the mode property.
    `void` | `setTarget(String value)` Sets the value of the target property.

    - ### Methods inherited from class org.appng.xml.platform.Linkable

      `getActive, getCondition, getConfirmation, getDefault, getIcon, getLabel, getPermissions, getTextelements, isDisabled, isShowDisabled, setActive, setCondition, setConfirmation, setDefault, setDisabled, setIcon, setLabel, setPermissions, setShowDisabled, setTextelements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### target

          protected String target

    - #### mode

          protected Linkmode mode

  - ### Constructor Detail

    - #### Link

          public Link()

  - ### Method Detail

    - #### getId

          public String getId()

      The unqiue id of this `Link` within the owning `Linkpanel`
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTarget

          public String getTarget()

      The URI of the link, may be relative to the application (`Linkmode.INTERN` or `Linkmode.INTERN`) or absolute (`Linkmode.EXTERN`)
      Returns:
        possible object is `String`

    - #### setTarget

          public void setTarget(String value)

      Sets the value of the target property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public Linkmode getMode()

      The `Linkmode` used when displaying this link.
      Returns:
        possible object is `Linkmode`

    - #### setMode

          public void setMode(Linkmode value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `Linkmode`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.